<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ConsolidatedExchangeRateSearchBasic StructType
 * @subpackage Structs
 */
class ConsolidatedExchangeRateSearchBasic extends SearchRecordBasic
{
    /**
     * The accountingBook
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $accountingBook;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The fromSubsidiary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $fromSubsidiary;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The isDerivedRate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isDerivedRate;
    /**
     * The period
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $period;
    /**
     * The periodStartDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $periodStartDate;
    /**
     * The toSubsidiary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $toSubsidiary;
    /**
     * Constructor method for ConsolidatedExchangeRateSearchBasic
     * @uses ConsolidatedExchangeRateSearchBasic::setAccountingBook()
     * @uses ConsolidatedExchangeRateSearchBasic::setExternalId()
     * @uses ConsolidatedExchangeRateSearchBasic::setExternalIdString()
     * @uses ConsolidatedExchangeRateSearchBasic::setFromSubsidiary()
     * @uses ConsolidatedExchangeRateSearchBasic::setInternalId()
     * @uses ConsolidatedExchangeRateSearchBasic::setInternalIdNumber()
     * @uses ConsolidatedExchangeRateSearchBasic::setIsDerivedRate()
     * @uses ConsolidatedExchangeRateSearchBasic::setPeriod()
     * @uses ConsolidatedExchangeRateSearchBasic::setPeriodStartDate()
     * @uses ConsolidatedExchangeRateSearchBasic::setToSubsidiary()
     * @param \StructType\SearchMultiSelectField $accountingBook
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchMultiSelectField $fromSubsidiary
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchBooleanField $isDerivedRate
     * @param \StructType\SearchMultiSelectField $period
     * @param \StructType\SearchDateField $periodStartDate
     * @param \StructType\SearchMultiSelectField $toSubsidiary
     */
    public function __construct(\StructType\SearchMultiSelectField $accountingBook = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchMultiSelectField $fromSubsidiary = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchBooleanField $isDerivedRate = null, \StructType\SearchMultiSelectField $period = null, \StructType\SearchDateField $periodStartDate = null, \StructType\SearchMultiSelectField $toSubsidiary = null)
    {
        $this
            ->setAccountingBook($accountingBook)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setFromSubsidiary($fromSubsidiary)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setIsDerivedRate($isDerivedRate)
            ->setPeriod($period)
            ->setPeriodStartDate($periodStartDate)
            ->setToSubsidiary($toSubsidiary);
    }
    /**
     * Get accountingBook value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getAccountingBook()
    {
        return $this->accountingBook;
    }
    /**
     * Set accountingBook value
     * @param \StructType\SearchMultiSelectField $accountingBook
     * @return \StructType\ConsolidatedExchangeRateSearchBasic
     */
    public function setAccountingBook(\StructType\SearchMultiSelectField $accountingBook = null)
    {
        $this->accountingBook = $accountingBook;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\ConsolidatedExchangeRateSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\ConsolidatedExchangeRateSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get fromSubsidiary value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getFromSubsidiary()
    {
        return $this->fromSubsidiary;
    }
    /**
     * Set fromSubsidiary value
     * @param \StructType\SearchMultiSelectField $fromSubsidiary
     * @return \StructType\ConsolidatedExchangeRateSearchBasic
     */
    public function setFromSubsidiary(\StructType\SearchMultiSelectField $fromSubsidiary = null)
    {
        $this->fromSubsidiary = $fromSubsidiary;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\ConsolidatedExchangeRateSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\ConsolidatedExchangeRateSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get isDerivedRate value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsDerivedRate()
    {
        return $this->isDerivedRate;
    }
    /**
     * Set isDerivedRate value
     * @param \StructType\SearchBooleanField $isDerivedRate
     * @return \StructType\ConsolidatedExchangeRateSearchBasic
     */
    public function setIsDerivedRate(\StructType\SearchBooleanField $isDerivedRate = null)
    {
        $this->isDerivedRate = $isDerivedRate;
        return $this;
    }
    /**
     * Get period value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getPeriod()
    {
        return $this->period;
    }
    /**
     * Set period value
     * @param \StructType\SearchMultiSelectField $period
     * @return \StructType\ConsolidatedExchangeRateSearchBasic
     */
    public function setPeriod(\StructType\SearchMultiSelectField $period = null)
    {
        $this->period = $period;
        return $this;
    }
    /**
     * Get periodStartDate value
     * @return \StructType\SearchDateField|null
     */
    public function getPeriodStartDate()
    {
        return $this->periodStartDate;
    }
    /**
     * Set periodStartDate value
     * @param \StructType\SearchDateField $periodStartDate
     * @return \StructType\ConsolidatedExchangeRateSearchBasic
     */
    public function setPeriodStartDate(\StructType\SearchDateField $periodStartDate = null)
    {
        $this->periodStartDate = $periodStartDate;
        return $this;
    }
    /**
     * Get toSubsidiary value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getToSubsidiary()
    {
        return $this->toSubsidiary;
    }
    /**
     * Set toSubsidiary value
     * @param \StructType\SearchMultiSelectField $toSubsidiary
     * @return \StructType\ConsolidatedExchangeRateSearchBasic
     */
    public function setToSubsidiary(\StructType\SearchMultiSelectField $toSubsidiary = null)
    {
        $this->toSubsidiary = $toSubsidiary;
        return $this;
    }
}
